// Version 3.0.0

//###########################################################################
//###########################################################################
//####                                                                   ####
//####                           Olivier Pécheux                         ####
//####                          Olivier@Pecheux.fr                       ####
//####                         (33) +6 69 77 82 58                       ####
//####         http://dansetrad.fr/Orgue_de_barbarie/PecheuxGraph        ####
//####                                                                   ####
//###########################################################################
//###########################################################################


// Ceci est un complément aux pages de définition et d'explications de la
// librairie PecheuxGraph. Ce programme illustre Ceci est un complément aux pages de définition et d'explications de la librairie PecheuxGraph. Ce programme illustre
// l'utilisation de le fonction arc() décrite dans la page  
// http://dansetrad.fr/Orgue_de_barbarie/PecheuxGraph/Definition/arcExemple.html

// Ce programme trace 8 arcs de cercles centrés. Le rayon s'incrémente de 10 à chaque fois. En
// mettant "courbe" pour le paramètre debut_fin, on a debut=NORD, et fin=NORD_EST puis EST...

#include <PecheuxGraph.h>
void setup() 
{
  setGraphMode(PAYSAGE);
  // Trace 8 arcs de rayon et d'angle croissants commençant en haut
  for (int courbe=1; courbe<9; courbe++) arc(DEMI_LARGEUR, DEMI_HAUTEUR, courbe*10+10, courbe, LIGHT_GREY); 
}

void loop()
{
}
