// Version 3.0.0

//###########################################################################
//###########################################################################
//####                                                                   ####
//####                           Olivier Pécheux                         ####
//####                          Olivier@Pecheux.fr                       ####
//####                         (33) +6 69 77 82 58                       ####
//####         http://dansetrad.fr/Orgue_de_barbarie/PecheuxGraph        ####
//####                                                                   ####
//###########################################################################
//###########################################################################


// Ceci est un complément aux pages de définition et d'explications de la
// librairie PecheuxGraph. Ce programme illustre l'utilisation de la fonction textSize() décrite dans la page  
// http://dansetrad.fr/Orgue_de_barbarie/PecheuxGraph/Definition/textSizeExemple.html

// Ce programme affiche un mot dans les différents tailles. Pour les
// petites tailles, le tracé est filiforme (textBold=0), pour les plus
// grandes, c'est comme un bold automatique.

#include <PecheuxGraph.h>
void setup() 
{
  setGraphMode(PAYSAGE); // Initialisation générale

  for (int taille=1; taille<8; taille++) // Pour les tailles de 1 à 7
  {
    setTextKeep(KEEP); // Car la taille 7 tiendra en haut
    setTextSize(taille); // Choix de la taille
    text("\n   Size"+String(taille)); // Affichage du résultat
  }
}

void loop()
{
}
