// Version 3.0.0

//###########################################################################
//###########################################################################
//####                                                                   ####
//####                           Olivier Pécheux                         ####
//####                          Olivier@Pecheux.fr                       ####
//####                         (33) +6 69 77 82 58                       ####
//####         http://dansetrad.fr/Orgue_de_barbarie/PecheuxGraph        ####
//####                                                                   ####
//###########################################################################
//###########################################################################


// Ceci est un complément aux pages de définition et d'explications de la
// librairie PecheuxGraph. Ce programme illustre l'utilisation de la fonction setTextCursor() décrite dans la page  
// http://dansetrad.fr/Orgue_de_barbarie/PecheuxGraph/Definition/textCursorExemple.html

// Ce programme écrit un premier texte (l'ombre), puis d'une autre couleur
// réécrit le texte légèrement décalé 

#include <PecheuxGraph.h>
void setup() 
{
  setGraphMode(PAYSAGE); // Initialisation générale

  setTextSize(3); setTextBold(1); // Caractères plus gros que d'habitude

  // On va dessiner une ombre en rouge
  setTextColor(RED); 
  setTextCursor(LARGEUR/2-60, HAUTEUR/2-15); // Pour écrire au milieu de l'écran
  text("Bonjour");

  // Et du texte en vert
  setTextColor(GREEN); 
  setTextCursor(LARGEUR/2-58); // on se remet au centre, mais un peu décalé
  text("Bonjour");
}

void loop()
{
}
