// Version 3.0.0

//###########################################################################
//###########################################################################
//####                                                                   ####
//####                           Olivier Pécheux                         ####
//####                          Olivier@Pecheux.fr                       ####
//####                         (33) +6 69 77 82 58                       ####
//####         http://dansetrad.fr/Orgue_de_barbarie/PecheuxGraph        ####
//####                                                                   ####
//###########################################################################
//###########################################################################


// Ceci est un complément aux pages de définition et d'explications de la
// librairie PecheuxGraph. Ce programme illustre l'utilisation de la fonction textSize() décrite dans la page  
// http://dansetrad.fr/Orgue_de_barbarie/PecheuxGraph/Definition/textSizeExemple.html

// Ce programme écrit n'importe où une phrase en mode inversion. Il ne faut pas effacer l'écran même si la phrase est
// écrite trop en bas

#include <PecheuxGraph.h>
void setup() 
{
  setGraphMode(PAYSAGE); // Initialisation générale
  
  // Affiche un fond d'écran avec des lignes un peu partout
  for (int boucle=0; boucle<20; boucle++) line(random(LARGEUR), random(HAUTEUR), random(LARGEUR), random(HAUTEUR), WHITE); 

  setDrawInverse(INVERSE); // pour pouvoir mettre et enlever les messages 
  setTextSize(3);
  setTextBold(1); // avec des caractères filiformes cela passe mieux!

  setTextKeep(CUT); // Modifiez cette ligne en mettant CUT, KEEP ou NORMAL
}

int x, y; // Pour le texte
void loop()
{
  x=random(LARGEUR-120); y=random(HAUTEUR-22); // Cela va
  setTextCursor(x,y); text("Bonjour, je ne voudrai pas que l'écran soit effacé!"); // Comme pour un message de pop-up

  delay(500); // pour en voir l'effet
  setTextCursor(x,y); text("Bonjour, je ne voudrai pas que l'écran soit effacé!"); // Efface le texte
}
