// Version 3.0.0

//###########################################################################
//###########################################################################
//####                                                                   ####
//####                           Olivier Pécheux                         ####
//####                          Olivier@Pecheux.fr                       ####
//####                         (33) +6 69 77 82 58                       ####
//####         http://dansetrad.fr/Orgue_de_barbarie/PecheuxGraph        ####
//####                                                                   ####
//###########################################################################
//###########################################################################


// Ceci est un complément aux pages de définition et d'explications de la
// librairie PecheuxGraph. Ce programme illustre Ceci est un complément aux pages de définition et d'explications de la librairie PecheuxGraph. Ce programme illustre
// l'utilisation de la fonction bmpSave() décrite dans la page  
// http://dansetrad.fr/Orgue_de_barbarie/PecheuxGraph/Definition/bmpSaveExemple.html

// Ce programme écrit les caractères imprimables, puis fait une copie d'écran.

// Pour que le programme fonctionne, il faut insérer une carte microSD

#include <PecheuxGraph.h>
void setup() 
{
  setGraphMode(PAYSAGE);

  // Ecritures sur l'écran, par exemple tous les caractères imprimables
  for (char c=33; c<127; c++) text(String(c));
  text("àáâçèéêë?îï°±òóôµö÷ùúûü");

  if ( // Test popur voir si il y a bien la carte SD
    bmpSave("Screen.bmp",0,0,MAX_X,MAX_Y)) // Copie d'écran
  {// la copie a échouée, le code d'erreur est non nul
    clrscr();
    text("Il n'y a pas la carte SD!"); 
  } else
  text("\n\nCopie d'écran effectuée");
}

void loop()
{
}
