// Version 3.0.0

//###########################################################################
//###########################################################################
//####                                                                   ####
//####                           Olivier Pécheux                         ####
//####                          Olivier@Pecheux.fr                       ####
//####                         (33) +6 69 77 82 58                       ####
//####         http://dansetrad.fr/Orgue_de_barbarie/PecheuxGraph        ####
//####                                                                   ####
//###########################################################################
//###########################################################################


// Ceci est un complément aux pages de définition et d'explications de la
// librairie PecheuxGraph. Ce programme illustre l'utilisation de la fonction getTouchX() décrite dans la page  
// http://dansetrad.fr/Orgue_de_barbarie/PecheuxGraph/Definition/getTouchXExemple.html

// Ce programme monte comment utiliser le touchpad pour lire les coordonnés pointés

#include <PecheuxGraph.h>
void setup() 
{
  setGraphMode(PAYSAGE);
  text("Dessinez sur l'écran"); // prévenir, sinon on a un écran noir
}

void loop()
{
  if (isTouch()) // si on détecte un point
       point(getTouchX(),getTouchY()); // on le dessine
}
