// Version 3.0.0

//###########################################################################
//###########################################################################
//####                                                                   ####
//####                           Olivier Pécheux                         ####
//####                          Olivier@Pecheux.fr                       ####
//####                         (33) +6 69 77 82 58                       ####
//####         http://dansetrad.fr/Orgue_de_barbarie/PecheuxGraph        ####
//####                                                                   ####
//###########################################################################
//###########################################################################


// Ceci est un complément aux pages de définition et d'explications de la
// librairie PecheuxGraph. Ce programme illustre l'utilisation de la fonction getTextX() décrite dans la page  
// http://dansetrad.fr/Orgue_de_barbarie/PecheuxGraph/Definition/getTextXExemple.html

// La différence entre la position du curseur avant et après permet de savoir quelle est
// la longueur du texte écrit... Ici pour dessiner un cadre.

#include <PecheuxGraph.h>
void setup() 
{
  setGraphMode(PAYSAGE); // Initialisation générale
}

void loop()
{
  clrscr();
  
  // On écrit une phrase n'importe où
  int x=random(LARGEUR-80)+2; // Pas trop près du bord
  int y=random(HAUTEUR-20)+2;
  setTextCursor(x,y);
  text("Bonjour");
  
  // Tracé d'un cadre autour du mot, getTextCursorX nous permet de voir la fin du cadre
  rect(x-2,y-2,getTextCursorX(),y+18,WHITE);
  
  // Attente avant de recommencer
  delay(1000);
}
