// Version 3.0.0

//###########################################################################
//###########################################################################
//####                                                                   ####
//####                           Olivier Pécheux                         ####
//####                          Olivier@Pecheux.fr                       ####
//####                         (33) +6 69 77 82 58                       ####
//####         http://dansetrad.fr/Orgue_de_barbarie/PecheuxGraph        ####
//####                                                                   ####
//###########################################################################
//###########################################################################


// Ceci est un complément aux pages de définition et d'explications de la
// librairie PecheuxGraph. Ce programme illustre l'utilisation de la fonction bpxDraw() décrite dans la page  
// http://dansetrad.fr/Orgue_de_barbarie/PecheuxGraph/Definition/bpxDrawExemple.html

// Ce programme affiche un fond d'écran

// Pour que le programme fonctionne, il faut insérer une carte microSD qui contienne le répertoire SD contenu dans
// PecheuxGraph.zip/examples

#include <PecheuxGraph.h>
void setup() 
{
  setGraphMode(PAYSAGE);
  
  // Affiche un seul fond d'écran
  if ( // Test pour voir si il y a bien la carte SD
    bpxDraw("320x240/1.bpx",0,0)* // Affiché seulement en mode paysage
    bpxDraw("240x320/20.bpx",0,0) // Affiché seulement en mode portrait
  // les deux copies ont échouées, la multiplication des deux codes d'erreurs eest non nulle
  !=0) text("Il n'y a pas la carte SD,\nou le répertoire \"SD\" n'a pas été\nrecopié sur la carte"); 
}

void loop()
{
}
