// Version 3.0.0

//###########################################################################
//###########################################################################
//####                                                                   ####
//####                           Olivier Pécheux                         ####
//####                          Olivier@Pecheux.fr                       ####
//####                         (33) +6 69 77 82 58                       ####
//####         http://dansetrad.fr/Orgue_de_barbarie/PecheuxGraph        ####
//####                                                                   ####
//###########################################################################
//###########################################################################


// Ceci est un complément aux pages de définition et d'explications de la
// librairie PecheuxGraph. Ce programme illustre l'utilisation de la fonction isTouch() décrite dans la page  
// http://dansetrad.fr/Orgue_de_barbarie/PecheuxGraph/Definition/isTouchTechnique.html

// Ce programme fait clignotter l'écran tant qu'on n'appuie pas dessus

#include <PecheuxGraph.h>
void setup() 
{
  setGraphMode(PAYSAGE);
  text(F("Appuyez sur l'écran pour arrêter le clignottement"));
  setLimites(0,32,MAX_X,MAX_Y); // Limite l'effacement de l'écran en dessous du texte
}

void loop()
{
  while (isTouch(50)); // Boucle tant qu'on appuie 
  // si on passe ici, c'est que l'on n'appuie plus
  clrscr(getDrawColor()); // Change la couleur du bas de l'écran
}
