// Version 3.0.0

//###########################################################################
//###########################################################################
//####                                                                   ####
//####                           Olivier Pécheux                         ####
//####                          Olivier@Pecheux.fr                       ####
//####                         (33) +6 69 77 82 58                       ####
//####         http://dansetrad.fr/Orgue_de_barbarie/PecheuxGraph        ####
//####                                                                   ####
//###########################################################################
//###########################################################################


// Ceci est un complément aux pages de définition et d'explications de la
// librairie PecheuxGraph. Ce programme illustre l'utilisation de la fonction
// clavier40() décrite dans la page  
// http://dansetrad.fr/Orgue_de_barbarie/PecheuxGraph/Definition/clavier40Exemple.html

// Le clavier demande que vous écriviez votre prénom pour vous dire bonjour.

#include <PecheuxGraph.h>

void setup()
{
  setGraphMode(PAYSAGE); // Initialisation
  setTextSize(1); text("Cliquez sur votre prénom quand vous avez fini.");
  text("Bonjour "+clavier40(DEMI_LARGEUR-115, DEMI_HAUTEUR-50,"Votre prénom?"));
  //      ^         ^               ^                ^               ^
  //      |         |               |                |               | texte affiché dans le clavier au début       
  //      |         |               |                | clavier de 101 pixels de haut, pour le centrer       
  //      |         |               | clavier de 231 pixels de large, pour le centrer       
  //      |         | appel du clavier de 40 touches qui retournera le prénom       
  //      | affichage du mot BOnjour et du prénom      
}

void loop()
{
}
